Class | FFI::Enums
In: | lib/ffi/enum.rb
Parent: | Object

An instance of this class permits to manage {Enum}s. In fact, Enums is a collection of {Enum}s.

### Methods

<< __map_symbol find new

### Public Class methods

new()

@return [nil]

### Public Instance methods

<<(enum)

@param [Enum] enum Add an {Enum} to the collection.

__map_symbol(symbol)

@param symbol a symbol to find in merge symbol maps of all enums. @return a symbol

find(query)

@param query enum tag or part of an enum name @return [Enum] Find a {Enum} in collection.

[Validate]